pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2012-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Slides

Description

Utility functions for splitting documents into slides for slide show formats (dzslides, revealjs, s5, slidy, slideous, beamer).

Synopsis

- getSlideLevel :: [Block] -> Int
- prepSlides :: Int -> [Block] -> [Block]

# Documentation

getSlideLevel :: [Block] -> Int #

Find level of header that starts slides (defined as the least header level that occurs before a non-header/non-hrule in the blocks).

prepSlides :: Int -> [Block] -> [Block] #

Prepare a block list to be passed to makeSections.